Android:类未findexception:android.support.v4.app.FragmentPager

在我的代码我导入android.support.v4.view.ViewPager但我得到一个ClassNotFoundException: android.support.v4.view.ViewPager当我设置内容视图到这个XML文件:

 ... <android.support.v4.app.FragmentPager android:layout_height="0px" android:layout_width="match_parent" android:layout_weight="1" android:id="@+id/pager"> </android.support.v4.app.FragmentPager> ... 

Solutions Collecting From Web of "Android:类未findexception:android.support.v4.app.FragmentPager"

您必须通过右键单击您的项目并selectAndroid工具 – >添加兼容性库来添加兼容性库 。 一旦添加,清理你的项目并重新构build。


在这里输入图像说明

我正在使用Android Studio Beta 0.8.6 ,我必须这样做


文件 – >项目结构 在这里输入图像说明

转到<Your android apk folder>\sdk\extras\android\support\v4文件夹,并将android-support-v4.jar添加到应用程序库(或整个sdk库)。

通过右键单击您的项目并selectAndroid工具 – >添加兼容性库添加支持库。 添加支持库清理您的项目,并转到Java构buildpath,转到订单和导出[最后一个选项卡]单击所有当前添加的JAR文件和库..按确定并刷新您的项目..它适用于我..

你应该添加android.support.v4 jar到你的应用程序。

如果它不是基于gradle的,那么你应该将基于Eclipse ADT的项目迁移到基于Gradle的..将项目导入到android studio ..

我有这个问题,请右键单击您的项目,然后单击Android工具,然后单击支持库,然后立即接受许可证运行您的项目它将工作:D

RightClick ==> Android工具==>支持库==>接受许可证